seamonkey

Böngészők, üzenetküldők, levelezők, stb...
ticoo1
Hozzászólások: 461
Csatlakozott: 2014.10.21. 08:58

Re: seamonkey

Hozzászólás Szerző: ticoo1 » 2019.09.10. 12:26

NTamas!

Rendben működik K-3.14.56-tal is. Kérlek, ha teheted próbáld ki.
Itt van: https://sourceforge.net/projects/puppys ... uBi-Pup32/

Kép:
K-3.14.56.jpg
K-3.14.56.jpg (100.38 KiB) Megtekintve 154 alkalommal

ticoo1
Hozzászólások: 461
Csatlakozott: 2014.10.21. 08:58

Re: seamonkey

Hozzászólás Szerző: ticoo1 » 2019.09.10. 12:29

Egyébként szerintem nem olyan nagy ügy a glibc csere, de nagyon figyelni kell arra, hogy milyen busybox kell hozzá. Van amelyik busybox változat, többféle glibc-hez is jó.

ticoo1
Hozzászólások: 461
Csatlakozott: 2014.10.21. 08:58

Re: seamonkey

Hozzászólás Szerző: ticoo1 » 2019.09.10. 12:31

NTamás!

Légy szíves írd meg, hogy melyik "precise" változatot használod.

NTamas
Hozzászólások: 1599
Csatlakozott: 2014.06.19. 13:36

Re: seamonkey

Hozzászólás Szerző: NTamas » 2019.09.10. 12:56

Már többször megírtam, a Precise-571 puppy alap angol verzióját, valamint a kros54 féle Precise 571 PrLite és xPr verziókat, mindegyikben k:3.9.11-es kernel van, a gépen a régi videórész miatt ez megy jól, illetve még az ominózus Nvidia FX 5200 videó kártyával (sajnos ez nemrég megdöglött, elfüstölt) ezen a gépen max. csak a 3.14.56-os kernel tudott még normálisan működni, ez ezerszer ki lett próbálva, és ezzel a 3.14.56 kernellel még ment a tahrpuppy is, sajnos az említett FX5200 már nem él, így maradnak a 3.9.11-es kernelű Precise-k mint ezen a gépen még használható cuccok. Amúgy is ez a gép már csak böngészésre van megtartva, néha még online nézek rajta egy-két iptv streamet, de másra már nem használom. Megy ameddig megy, ha meghal, akkor majd lesz valami más.

nocsak
Hozzászólások: 183
Csatlakozott: 2014.09.29. 15:01

Re: seamonkey

Hozzászólás Szerző: nocsak » 2019.09.10. 13:45

Sziasztok!

Most, hogy így ennyi reakció indult a glibc kapcsán, kezdem kapizsgálni miért a verzió-fregmentáció.
Ugye az mindenki előtt világos, hogy a fejlesztők fejlesztenek, (amíg és amit tudnak) ilyenkor jön be a változás, hiszen ha javítanak valamit mondjuk a 2.15-ös glibc-ben olyat, amit aztán a régi nem tudott, és az újban meg lett olyan amit a régiből már nem vehet át (pl.: vezérléstechnikai vagy biztonsági okokból) akkor ha ezt ugyanazon verziócímen visszapatch-elik a 2.15-be az már működését tekintve így is úgy is új verzió, mert már onnantól egymással "inkompatibilisek". Az, hogy utána megkapja a 2.17-es verzió táblát, már mindegy gyakorlatilag. Működésében már eltérő.

Na aztán, amibe én belefulladtam, az ez volt (legalábbis az i-re a pont):

viewtopic.php?f=17&t=13&p=8190#p8190

de azt amit ticoo1 próbált elérni, azt meg én nem látom át még, hogy hogyan lehet, hogy bizonyos kereteket is cserélve (busybox) a glibc-t lehet cserélni.
De!

Skamival beszélgettem erről rengeteget Discordon, hogy a glibc verziók között lehet átjárhatóság, de csak egy bizonyos pontig, határig, miért? Pont a legelső bekezdésem miatt. Fejlesztik, jön új verzió, és az visszafelé még 2-vel igen felfelé mondjuk 3-mal is még igen, de azok alatt ill. felett már segmentation fault-osak lesznek. Mert már küszöbön túl eltérnek egymástól. Így van az is, hogy a 2.15-ös glibc-jű LX7 ami precise alapú nem futott belőle semmi sem a 2.27-es glibc-jű bionic-okban. És ez fordítva is igaz. (Segfault)

Sőt ugyanígy a kernelek között is lehetnek eltérések... láthattuk.

Más:

Az LD_LIBRARY -s történethez csupán annyit, hogy itt összeszedve teljsen jól leírják mikor, mit, hogyan kell alkalmazni, hogyha összeadandólag és ha kizárólag akarunk libeket rendelni egy program futásához.

amikor exportálsz egy útvonalat, az csak hozzáadja, de amikor így adod meg:

Kód: Egész kijelölése

/lib/ld-linux.so.2 --library-path /opt/firefox /opt/firefox/firefox
akkor meg csak azt a könyvtárat nézi amit megadtál ha minden igaz.

ticoo1
Hozzászólások: 461
Csatlakozott: 2014.10.21. 08:58

Re: seamonkey

Hozzászólás Szerző: ticoo1 » 2019.09.10. 16:20

Ha már a glibc verzió cseréjéről beszélünk, akkor engedjetek meg egy-két apró észrevételt. Sajnos nem minden precise alapú puppy fejleszthető! A repókon, Ubuntu, Debian általában csak azon fájlok találhatók, melyek egy adott rendszerhez kellenek. Itt jön az, hogy egy-kettővel lefelé, illetve felfelé lehet alkalmazni, mint ahogy az előzőekben "nocsak" írta. De lehet "komplett rendszerben" is cserélni, de akkor mindenképp kell a busybox-ot is cserélni, természetesen olyanra, ami hozzá tartozik. Nem csak egy-két fájlt, minden szükségest. Amiket felraktam, s alkalmazni szoktam, azok teljesek. Nem véletlenül írtam, hogy aki rt-kernelt akar használni, annak az ahhoz tartozó glibc-2.29-et kell feltennie. Az ffmpeg is glibc verzió függő. Van olyan "csomag" ami több glibc verzióval is hajlandó működni (a specifikációjában a függőségekben ez látható, ugyanúgy, mint pl. a libgk3-nál is). De ugyanez van esetenként a VLC-nél, stb. is. És akkor keverjük még ide, mint fontos "kelléket" a Qt5 variációt is. Ha az ubuntu-ról letöltjük a VLC-t, akkor aut. hozza magával a Qt5-5.9.5-öt, ezzel viszont egy slacko Qt5-öt feltételező SMPlayer nem fog működni, mert neki pl. Qt5-5.2.3 kell. Szóval lehet szenvedni, de ha hozzá igazítom a libeket (kicserélem) akkor a VLC hal meg. És még egy, a repónkra feltett busybox az a glibc-2.28-29-cel kompatibilis. Természetesen a devx fájlt elveszíthetjük, ha kötött benne a glibc verziója, ha csak annyi van, glibc-2xx akkor nagy valószínűséggel használható lesz. Szóval van feltétel, buktató bőven, de egyetlenegy rendszer sem tudja átlépni a határit, a kereteit, legfeljebb egy kicsit tágítható.

ticoo1
Hozzászólások: 461
Csatlakozott: 2014.10.21. 08:58

Re: seamonkey

Hozzászólás Szerző: ticoo1 » 2019.09.13. 08:26

Szia NTamas!

Az angol változatot esetleg így lehet fejleszteni, ha úgy gondolod, hogy érdemes, akkor nekiállhatunk. A Precise-t Te ismered, nekem ebben rád kell hagyatkoznom. A glibc cserét teljesen elfogadja és az eredetileg benne lévő busybox a glibc-2.15-17-et támogatja! (meg is lepődtem, azonnal "birtokba vette")

Légy szíves gondold át, s akkor csinálhatunk egy "teszt" változatot, persze modernizálva az egészet. Természetesen marad a K-3.9.11 úgy ahogy van.

Képek:
kep.jpg
kep.jpg (404.35 KiB) Megtekintve 67 alkalommal
Seamonkey-glibc-2.17-stable.jpg
Seamonkey-glibc-2.17-stable.jpg (215.59 KiB) Megtekintve 67 alkalommal
Bash csere.jpg
Bash csere.jpg (216.65 KiB) Megtekintve 67 alkalommal
A hozzászólást 1 alkalommal szerkesztették, utoljára ticoo1 2019.09.13. 08:39-kor.

ticoo1
Hozzászólások: 461
Csatlakozott: 2014.10.21. 08:58

Re: seamonkey

Hozzászólás Szerző: ticoo1 » 2019.09.13. 08:27

Firefox-ffmpeg-3x:
firefox-ffmpeg-3x.jpg
firefox-ffmpeg-3x.jpg (296.97 KiB) Megtekintve 67 alkalommal

ticoo1
Hozzászólások: 461
Csatlakozott: 2014.10.21. 08:58

Re: seamonkey

Hozzászólás Szerző: ticoo1 » 2019.09.13. 08:37

Ez lemaradt:
Glibc-2.17.jpg
Glibc-2.17.jpg (371.91 KiB) Megtekintve 67 alkalommal

ticoo1
Hozzászólások: 461
Csatlakozott: 2014.10.21. 08:58

Re: seamonkey

Hozzászólás Szerző: ticoo1 » 2019.09.13. 10:52

Nos, valami ilyesmi lehet belőle:
Képenyő kép.jpg
Képenyő kép.jpg (156.71 KiB) Megtekintve 58 alkalommal
Feltegyem ezt a kísérleti változatot, belenézel?

Válasz küldése

Vissza: “Internet”